#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys
from PyQt4 import QtGui, QtCore

from ui_ticboxcloud import Ui_mainWindow
from s_changePass import SChangePass
from s_configUser import SConfigUser



class STicboxcloud(QtGui.QMainWindow, Ui_mainWindow):
	
	def __init__(self, parent = None):
		super(STicboxcloud, self).__init__(parent)
		self.setupUi(self)
		self.settings = QtCore.QSettings()
		self.signals()
		self.center()

		self.gui_config = SConfigUser(self)
		self.gui_pass = SChangePass(self)



	def signals(self):
		QtCore.QObject.connect(self.b_config, QtCore.SIGNAL("clicked()"), self.config_user)
		QtCore.QObject.connect(self.b_passwd, QtCore.SIGNAL("clicked()"), self.actPass)


	def config_user(self):
		if self.gui_config != None:
			self.gui_config.reset_gui()
			self.gui_config.show()


	def actPass(self):
		if self.gui_pass != None:
			self.gui_pass.reset_gui()
			self.gui_pass.show()


	def center(self):
		screen =  QtGui.QDesktopWidget().screenGeometry()
		size = self.geometry()
		self.move((screen.width()-size.width())/2, (screen.height()-size.height())/2)



if __name__ == '__main__':
	app = QtGui.QApplication(sys.argv)
	c = STicboxcloud()
	c.show()
	app.exec_()
		
